WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

Auto Load Next Post

Gain more post views on your site as readers continue reading your posts scrolling down the page.

1.4.9 : 30th December 2016

  • Added: Support for Twenty Sixteen.
  • Updated: Admin notice for contribution.
  • Updated: Admin settings field labels and help tips.
  • Updated: POT file.

1.4.8 : 25th December 2016

  • Added: Support for child-themes so they too can also use the plugin. Thanks to lwesolowski
  • Added: New template location filter. See Documentation.
  • Added: New action hook for when there are no new posts to load.
  • Added: a post count of the posts that have loaded. Can be used to trigger an event after X amount of posts have loaded.
  • Added: a new variable that can be set to prevent further posts from loading.
  • Added: Support for Twenty Seventeen.
  • Corrected: Plugin links and improved spelling and grammar.
  • Corrected: Admin notices now use WordPress style.
  • Dev Feature: Can view the console.logs if debug mode is enabled for Auto Load Next Post. Must have SCRIPT_DEBUG set to true also. See Documentation.
  • Dev Feature: JavaScript triggers have been added so developers can do fun stuff. See Documentation.
  • Fixed: Google Analytics bug that prevented more than 3 posts to load. Thanks to PatriceVB
  • Improved: How Google Analytics is triggered.
  • Improved: The JavaScript now identifies the post ID of each post including the initial post on load.
  • Improved: The JavaScript to remove the comments on load instead if requested.
  • Improved: The default template "content-partial.php".
  • Removed: The post navigation from the template "content-partial.php" file and applied it via an action hook instead.
  • Removed: The comments from the template "content-partial.php" file and applied it via an action hook instead.
  • Removed: History state on the initial post load. Not required.
  • Removed: All languages except the POT file from the plugin as they will now be downloaded from WordPress.org
  • Removed: The support section on the plugins page as the help tab has been improved.
  • Updated: The admin help sections on the plugins page.
  • Updated: The admin footer on the plugins page.
  • Updated: The POT file.
  • Updated: The readme.txt file.
  • Updated: Gruntfile.js file.
  • Updated: package.json file.

1.4.7 : 4th April 2016

  • Added the Russian (Russia) translation.
  • Updated the English (United Kingdom) translation.
  • Updated the Italian (Italy) translation.

1.4.6 : 3rd April 2016

  • Corrected links within the readme.txt file.
  • Provided a list of extra features coming with Auto Load Next Post Premium.
  • Improved copy.
  • Added two additional help tabs on the plugin settings page.
  • Updated the F.A.Q's.
  • Updated the uninstall.php file.
  • Updated the POT file.
  • Fixed undefined issue with Google Analytics.
  • Removed all console.log and console.error in the Javascript.
  • Tested up to WordPress 4.4.2

1.4.5 : 30th November 2015

  • Added the English (United Kingdom) translation.
  • Updated the Italian (Italy) translation.

1.4.4 : 29th November 2015

  • Fixed the activation of the plugin from the broken update in version 1.4.3
  • Removed code that is not needed and certain parts that are not for the free version of Auto Load Next Post.
  • Removed additional whitespace in the code making the plugin just a little bit lighter.
  • Improved the WP Update Php class originally created by Coen Jacobs. Also renamed the class a little so that it doesn't cause any conflicts with other plugins when activating.
  • Updated the copy in the settings page.
  • Updated the French translation.

1.4.3.1 : 20th October 2015

  • Re-deployed v1.4.3 update as it failed using Ship by Big Bite Creative. Sorry about that. :(

1.4.3 : 19th October 2015

  • Corrected undefined function for Google Analytics tracking in the JavaScript.
  • Improved Google Analytics. Now detects old, classic, current and Yoast method of tracking pageviews.
  • Changed the default content container setting to match Twenty Fifteen.
  • Core themes are supported except for Twenty Eleven. Theme notification only shows now if not a core theme.
  • Corrected a loading issue of the template file should the theme have one also.
  • Improved the partial content template file. Now has a fallback. Should be more compatible with themes.
  • Added a support tab to the plugin settings page.
  • Added a upgrade link on the plugins page.
  • Added a community support link on the plugins page.
  • Added the German translation.
  • Redefined the constants.
  • Moved admin functions under the directory 'includes/admin'
  • Moved library assets under a new folder for both CSS and JavaScript.
  • Added PHP detection.
  • Improved copy in the settings page and the help tab.
  • Updated the default localization file.
  • Removed public variables and hardcoded them into the plugin instead.
  • Removed whitespace.
  • Removed @return void on __construct() functions.
  • Cleaned up the code.

1.4.2 : 31st July 2015

  • Added two languages for localizing the plugin settings page. Français (French)(France) and Română (Romanian).

1.4.1 : 13th June 2015

  • Added many action hooks in template file 'content-partial.php' - See documentation for a list of hooks.
  • Removed an error from the admin side when debug is enabled.

1.3.2 : 20th May 2015

  • Added more theme support with compatible theme template file which can be overridden.
  • Added option to enable auto loading posts for specific post types.
  • Added option for comments. Now you can choose to show or hide rather than forcing it to hide automatically.
  • Added Chosen (v1.4.2) Javascript by Harvest
  • Added console.logs in the Javascript for debugging.
  • Corrected text domain name in plugin header.
  • Corrected access to function load_file() from private to public
  • Corrected access to function register_scripts_and_styles() from private to public
  • Corrected error with uninstall.php file
  • Moved function register_scripts_and_styles() to class-auto-load-next-post-admin.php
  • Filtered the Javascript to load only on singular posts and the enabled post types.
  • Removed security issue in the main plugin file by accessing $GLOBALS directly.
  • Removed all closing PHP tags omitting at the end of each file.

1.0.0 : 4th April 2015

  • Initial version

Requires: 4.3 or higher
Compatible up to: 4.7.1
Last Updated: 3 weeks ago
Active Installs: 500+

Ratings

4.2 out of 5 stars

Support

3 of 4 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
50,2,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
100,1,1 100,1,1 100,1,1
100,1,1
100,1,1
100,1,1 0,1,0 0,1,0
0,1,0 100,1,1
100,1,1
100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1